ROMCMP(1)

NAME
romcmp - MAME rom and romsets check and comparison tool

SYNOPSIS
romcmp [-option] [dir1|zip1] [dir2|zip2]

DESCRIPTION
romcmp is a tool developed to detect the most common errors that can occur when dumping ROMS, for example stuck bits and address line errors.

It can check the ROMs in ZIP files or subdirectories; it can also be used to compare two ROM sets, by giving it two files or subdirectories as parameters. It will determine which ROMS are identical and which are the closest matches. This is useful when figuring out if a newly dumped ROM set is a clone of another ROM set.

OPTIONS

-d  Enables a slower, more comprehensive comparison.

-h  Prints hashes (CRC-32, SHA-1) and 16-bit sums for all files.

EXAMPLES
romcmp jumpkids.zip will output the following:
  11 files
  23.3c    FIXED BITS (xxxxxx1x)
  23.3c          FIRST AND SECOND HALF IDENTICAL

This tells us that the 23.3C ROM in Jump Kids is bad, and incidentally, it causes the missing sound in that game.

SEE ALSO
mame(6)